# Uses of Interface
org.eclipse.mat.query.IResult

Packages that use IResult
Package
Description
org.eclipse.mat.hprof
Parser for HPROF dumps, just a parser extension, not an Application Programming Interface (API).
org.eclipse.mat.impl.chart
Builds pie charts using BIRT, not an Application Programming Interface (API).
org.eclipse.mat.inspections
These are general queries.
org.eclipse.mat.inspections.collections
These are queries for Collection classes.
org.eclipse.mat.inspections.component
These are queries for whole components (class loaders and packages).
org.eclipse.mat.inspections.eclipse
These are queries for debugging Eclipse based applications.
org.eclipse.mat.inspections.finalizer
These are queries for examining objects subject to finalization.
org.eclipse.mat.inspections.osgi
These are queries for examining OSGi bundles.
org.eclipse.mat.inspections.threads
These are queries for Threads.
org.eclipse.mat.internal.snapshot.inspections
These are queries for dominator tree and paths to/from garbage collection roots.
org.eclipse.mat.jdt
Links class names to the class source in an Eclipse IDE, not an Application Programming Interface (API).
org.eclipse.mat.query
Package for examining and controlling results of running queries.
org.eclipse.mat.query.quantize
Value or linear frequency distribution histograms.
org.eclipse.mat.query.refined
A way of controlling the detail given by the output of a query.
org.eclipse.mat.query.registry
Package for getting a list of queries and examining their capabilities and setting them up.
org.eclipse.mat.query.results
Default Query Result Implementations.
org.eclipse.mat.report
Controls building of reports from XML report definitions.
org.eclipse.mat.report.internal
Internal classes for controlling building of reports from XML report definitions (not API).
org.eclipse.mat.snapshot
The Snapshot API, a VM independent way of looking at a snapshot of the state of objects in a heap.
org.eclipse.mat.snapshot.extension
Interfaces that extend the information extracted from heap dumps like threads, name resolvers etc.
org.eclipse.mat.snapshot.query
Utilities to develop heap dump queries.
org.eclipse.mat.ui.actions
Actions from the editor tools bar (not API).
org.eclipse.mat.ui.editor
Editor for viewing snapshot (not API).
org.eclipse.mat.ui.snapshot.actions
Supplementary actions to open a snapshot, copy to clipboard, open icon assist and so on - user interface (not API).

## Uses of IResult in org.eclipse.mat.hprof

Methods in org.eclipse.mat.hprof that return IResult
Modifier and Type
Method
Description
`IResult`
ExportHprof.`execute(IProgressListener listener)`

## Uses of IResult in org.eclipse.mat.impl.chart

Methods in org.eclipse.mat.impl.chart with parameters of type IResult
Modifier and Type
Method
Description
`void`
HtmlPieChartRenderer.`embedd(IOutputter.Context context, IResult result, Writer writer)`
`void`
HtmlPieChartRenderer.`process(IOutputter.Context context, IResult result, Writer writer)`

## Uses of IResult in org.eclipse.mat.inspections

Classes in org.eclipse.mat.inspections that implement IResult
Modifier and Type
Class
Description
`class`
`BigDropsQuery`
`static class`
`ClassReferrersQuery.InboundClasses`
`static class`
`ClassReferrersQuery.OutboundClasses`
`class`
`DuplicatedClassesQuery`
`static class`
`FindLeaksQuery.SuspectsResultTable`
`static class`
`FindLeaksQuery2.SuspectsResultTable`
`static class`
`ImmediateDominatorsQuery.ResultImpl`
Methods in org.eclipse.mat.inspections that return IResult
Modifier and Type
Method
Description
`IResult`
BigDropsQuery.`execute(IProgressListener listener)`
`IResult`
ClassLoaderExplorerQuery.`execute(IProgressListener listener)`
`IResult`
ClassReferrersQuery.`execute(IProgressListener listener)`
`IResult`
ComparisonReport.`execute(IProgressListener listener)`
`IResult`
CustomizedRetainedSetQuery.`execute(IProgressListener listener)`
`IResult`
DeltaHistogram.`execute(IProgressListener listener)`
`IResult`
DuplicatedClassesQuery.`execute(IProgressListener listener)`
`IResult`
FinalizerReferenceStatQuery.`execute(IProgressListener listener)`
`IResult`
FindLeaksQuery.`execute(IProgressListener listener)`
`IResult`
FindLeaksQuery2.`execute(IProgressListener listener)`
`IResult`
FindStringsQuery.`execute(IProgressListener listener)`
`IResult`
GCRootsQuery.`execute(IProgressListener listener)`
`IResult`
GroupByValueQuery.`execute(IProgressListener listener)`
`IResult`
HeapDumpInfoQuery.`execute(IProgressListener listener)`
`IResult`
HistogramQuery.`execute(IProgressListener listener)`
`IResult`
ImmediateDominatorsQuery.`execute(IProgressListener listener)`
`IResult`
LeakHunterQuery.`execute(IProgressListener listener)`
`IResult`
LeakHunterQuery2.`execute(IProgressListener listener)`
`IResult`
ObjectListQuery.`execute(IProgressListener listener)`
`IResult`
PhantomReferenceStatQuery.`execute(IProgressListener listener)`
`IResult`
ReferenceLeakQuery.`execute(IProgressListener listener)`
`static IResult`
ReferenceQuery.`execute(String className, ISnapshot snapshot, String labelHistogramReferenced, String labelHistogramRetained, String labelHistogramStronglyRetainedReferents, IProgressListener listener)`
Important: the className must point to java.lang.ref.Reference or one of its subclasses.
`IResult`
ReferenceQuery.`execute(IProgressListener listener)`
`IResult`
RetainedSetQuery.`execute(IProgressListener listener)`
`IResult`
SimpleComparison.`execute(IProgressListener listener)`
`IResult`
SoftReferenceStatQuery.`execute(IProgressListener listener)`
`IResult`
TopConsumers2Query.`execute(IProgressListener listener)`
`IResult`
TopConsumersQuery.`execute(IProgressListener listener)`
`IResult`
UnreachableObjectsQuery.`execute(IProgressListener listener)`
`IResult`
WasteInCharArraysQuery.`execute(IProgressListener listener)`
`IResult`
WeakReferenceStatQuery.`execute(IProgressListener listener)`

## Uses of IResult in org.eclipse.mat.inspections.collections

Classes in org.eclipse.mat.inspections.collections that implement IResult
Modifier and Type
Class
Description
`static class`
`HashEntriesQuery.Result`
Methods in org.eclipse.mat.inspections.collections that return IResult
Modifier and Type
Method
Description
`IResult`
ArrayFillRatioQuery.`execute(IProgressListener listener)`
`IResult`
ArraysBySizeQuery.`execute(IProgressListener listener)`
`IResult`
CollectionFillRatioQuery.`execute(IProgressListener listener)`
`IResult`
CollectionsBySizeQuery.`execute(IProgressListener listener)`
`IResult`
ExtractListValuesQuery.`execute(IProgressListener listener)`
`IResult`
HashSetValuesQuery.`execute(IProgressListener listener)`
`IResult`
MapCollisionRatioQuery.`execute(IProgressListener listener)`
`IResult`
PrimitiveArraysWithAConstantValueQuery.`execute(IProgressListener listener)`

## Uses of IResult in org.eclipse.mat.inspections.component

Methods in org.eclipse.mat.inspections.component that return IResult
Modifier and Type
Method
Description
`IResult`
ComponentReportQuery.`execute(IProgressListener listener)`
`IResult`
TopComponentsReportQuery.`execute(IProgressListener listener)`

## Uses of IResult in org.eclipse.mat.inspections.eclipse

Methods in org.eclipse.mat.inspections.eclipse that return IResult
Modifier and Type
Method
Description
`IResult`
LeakingPlugins.`execute(IProgressListener listener)`

## Uses of IResult in org.eclipse.mat.inspections.finalizer

Methods in org.eclipse.mat.inspections.finalizer that return IResult
Modifier and Type
Method
Description
`IResult`
FinalizerInProcessingQuery.`execute(IProgressListener listener)`
`IResult`
FinalizerQuery.`execute(IProgressListener listener)`
`IResult`
FinalizerQueueQuery.`execute(IProgressListener listener)`
`IResult`
FinalizerThreadLocalsQuery.`execute(IProgressListener listener)`
`IResult`
FinalizerThreadQuery.`execute(IProgressListener listener)`

## Uses of IResult in org.eclipse.mat.inspections.osgi

Classes in org.eclipse.mat.inspections.osgi that implement IResult
Modifier and Type
Class
Description
`static class`
`BundleRegistryQuery.BundleTreeResult`
`static class`
`BundleRegistryQuery.ExtensionTreeResult`
`static class`
`BundleRegistryQuery.ServicesTreeResult`
Methods in org.eclipse.mat.inspections.osgi that return IResult
Modifier and Type
Method
Description
`IResult`
BundleRegistryQuery.`execute(IProgressListener listener)`

## Uses of IResult in org.eclipse.mat.inspections.threads

Classes in org.eclipse.mat.inspections.threads that implement IResult
Modifier and Type
Class
Description
`static class`
`ThreadInfoQuery.Result`
Methods in org.eclipse.mat.inspections.threads that return IResult
Modifier and Type
Method
Description
`IResult`
ThreadOverviewQuery.`execute(IProgressListener listener)`
`IResult`
ThreadStackQuery.`execute(IProgressListener listener)`

## Uses of IResult in org.eclipse.mat.internal.snapshot.inspections

Classes in org.eclipse.mat.internal.snapshot.inspections that implement IResult
Modifier and Type
Class
Description
`class`
`CompareTablesQuery.ComparisonResultTable`
`class`
`CompareTablesQuery.ComparisonResultTree`
`class`
`CompareTablesQuery.TableComparisonResult`
`static class`
`DominatorQuery.Tree`
`static class`
`MultiplePath2GCRootsQuery.Tree`
`static final class`
`Path2GCRootsQuery.Tree`
Methods in org.eclipse.mat.internal.snapshot.inspections that return IResult
Modifier and Type
Method
Description
`IResult`
CompareTablesQuery.`execute(IProgressListener listener)`
`IResult`
MultiplePath2GCRootsQuery.`execute(IProgressListener listener)`
`IResult`
Path2GCRootsQuery.`execute(IProgressListener listener)`

## Uses of IResult in org.eclipse.mat.jdt

Methods in org.eclipse.mat.jdt that return IResult
Modifier and Type
Method
Description
`IResult`
OpenSourceFileQuery.`execute(IProgressListener listener)`

## Uses of IResult in org.eclipse.mat.query

Subinterfaces of IResult in org.eclipse.mat.query
Modifier and Type
Interface
Description
`interface`
`IResultPie`
Results as pie chart data.
`interface`
`IResultTable`
Interface for results in table-form.
`interface`
`IResultTree`
Interface for results in tree-form.
`interface`
`IStructuredResult`
Interface for structured results (i.e.
Methods in org.eclipse.mat.query that return IResult
Modifier and Type
Method
Description
`IResult`
IQuery.`execute(IProgressListener listener)`
The execute method is called after all arguments have been injected into the query instance.
`abstract IResult`
DetailResultProvider.`getResult(Object row, IProgressListener listener)`
Get more data about the row.
Methods in org.eclipse.mat.query with parameters of type IResult
Modifier and Type
Method
Description
`abstract Column`
ContextDerivedData.`columnFor(ContextDerivedData.DerivedColumn derivedColumn, IResult result, ContextProvider provider)`
Get a column ready to use, based on the derived column

## Uses of IResult in org.eclipse.mat.query.quantize

Methods in org.eclipse.mat.query.quantize that return IResult
Modifier and Type
Method
Description
`IResult`
Quantize.`getResult()`
Returns the `IResult` build by the Quantize object.

## Uses of IResult in org.eclipse.mat.query.refined

Classes in org.eclipse.mat.query.refined that implement IResult
Modifier and Type
Class
Description
`class`
`RefinedStructuredResult`
The result from refining a table or tree.
`class`
`RefinedTable`
The result from refining a table.
`class`
`RefinedTree`
The result from refining a tree.

## Uses of IResult in org.eclipse.mat.query.registry

Methods in org.eclipse.mat.query.registry that return IResult
Modifier and Type
Method
Description
`static IResult`
CommandLine.`execute(IQueryContext context, String commandLine, IProgressListener listener)`
`IResult`
QueryResult.`getSubject()`
Constructors in org.eclipse.mat.query.registry with parameters of type IResult
Modifier
Constructor
Description
``
`QueryResult(QueryDescriptor query, String command, IResult subject)`
``
`QueryResult(QueryResult parent, QueryDescriptor query, String command, IResult subject)`

## Uses of IResult in org.eclipse.mat.query.results

Classes in org.eclipse.mat.query.results that implement IResult
Modifier and Type
Class
Description
`final class`
`CompositeResult`
Return multiple result types.
`class`
`DisplayFileResult`
Used to display an external file as a report.
`class`
`ListResult`
A list of items such as properties as a result table.
`class`
`PropertyResult`
Extract properties from an object and display as a result table.
`class`
`TextResult`
This result is rendered as text.
Methods in org.eclipse.mat.query.results that return IResult
Modifier and Type
Method
Description
`IResult`
CompositeResult.Entry.`getResult()`
Get the sub-result
Methods in org.eclipse.mat.query.results that return types with arguments of type IResult
Modifier and Type
Method
Description
`List<IResult>`
CompositeResult.`getResults()`
Deprecated.
Use `CompositeResult.getResultEntries()` instead
Methods in org.eclipse.mat.query.results with parameters of type IResult
Modifier and Type
Method
Description
`void`
CompositeResult.`addResult(String name, IResult result)`
Add one more result with the given name
`void`
CompositeResult.`addResult(IResult result)`
Add one more result
`String`
TextResult.`linkTo(String label, IResult result)`
Generate a link to another report, and save the referenced report too.
Constructors in org.eclipse.mat.query.results with parameters of type IResult
Modifier
Constructor
Description
``
`CompositeResult(IResult... results)`
Build a result out of several others

## Uses of IResult in org.eclipse.mat.report

Classes in org.eclipse.mat.report that implement IResult
Modifier and Type
Class
Description
`class`
`QuerySpec`
A container for a result of a query.
`class`
`SectionSpec`
A container for multiple results.
`class`
`Spec`
A container for combining results.
Methods in org.eclipse.mat.report that return IResult
Modifier and Type
Method
Description
`IResult`
QuerySpec.`getResult()`
Gets the body of this section which is the result of a query.
Methods in org.eclipse.mat.report with parameters of type IResult
Modifier and Type
Method
Description
`String`
IOutputter.Context.`addContextResult(String name, IResult result)`
Add a `IResult` from a `DetailResultProvider` to the report.
`void`
IOutputter.`embedd(IOutputter.Context context, IResult result, Writer writer)`
Add this result to the output.
`void`
IOutputter.`process(IOutputter.Context context, IResult result, Writer writer)`
Write this result to the output, presuming the writer has just been opened.
`void`
QuerySpec.`setResult(IResult result)`
Sets the body of this section to the result of a query.
Method parameters in org.eclipse.mat.report with type arguments of type IResult
Modifier and Type
Method
Description
`IOutputter`
RendererRegistry.`match(String format, Class<? extends IResult> type)`
Constructors in org.eclipse.mat.report with parameters of type IResult
Modifier
Constructor
Description
``
`QuerySpec(String name, IResult result)`
Create a QuerySpec with a title and a result of executing a query.

## Uses of IResult in org.eclipse.mat.report.internal

Methods in org.eclipse.mat.report.internal that return IResult
Modifier and Type
Method
Description
`IResult`
RunExternalTest.`execute(IProgressListener listener)`
`IResult`
RunRegisterdReport.`execute(IProgressListener listener)`
Methods in org.eclipse.mat.report.internal with parameters of type IResult
Modifier and Type
Method
Description
`void`
CSVOutputter.`embedd(IOutputter.Context context, IResult result, Writer writer)`
`void`
HtmlOutputter.`embedd(IOutputter.Context context, IResult result, Writer writer)`
`void`
TextOutputter.`embedd(IOutputter.Context context, IResult result, Writer writer)`
`void`
CSVOutputter.`process(IOutputter.Context context, IResult result, Writer writer)`
`void`
HtmlOutputter.`process(IOutputter.Context context, IResult result, Writer writer)`
`void`
ResultRenderer.`process(QueryPart test, IResult result, org.eclipse.mat.report.internal.RenderingInfo rInfo)`
`void`
TextOutputter.`process(IOutputter.Context context, IResult result, Writer writer)`

## Uses of IResult in org.eclipse.mat.snapshot

Subinterfaces of IResult in org.eclipse.mat.snapshot
Modifier and Type
Interface
Description
`static interface`
`IOQLQuery.Result`
A result which also describes the OQL query that generated it.
Classes in org.eclipse.mat.snapshot that implement IResult
Modifier and Type
Class
Description
`class`
`Histogram`
Class histogram - heap objects aggregated by their class.
`static final class`
`Histogram.ClassLoaderTree`
`static final class`
`Histogram.PackageTree`
`static final class`
`Histogram.SuperclassTree`
`class`
`UnreachableObjectsHistogram`
Summary information about objects discarded from the snapshot

## Uses of IResult in org.eclipse.mat.snapshot.extension

Methods in org.eclipse.mat.snapshot.extension with parameters of type IResult
Modifier and Type
Method
Description
`void`
IThreadInfo.`addDetails(String name, IResult details)`
Add details of tasks performed by the thread.
`void`
IThreadInfo.`addRequest(String summary, IResult details)`
Add requests such as the URL from a web server

## Uses of IResult in org.eclipse.mat.snapshot.query

Classes in org.eclipse.mat.snapshot.query that implement IResult
Modifier and Type
Class
Description
`final class`
`HistogramResult`
Deprecated.
Use `Histogram` instead.
`static class`
`ObjectListResult.Inbound`
Helper class which describes a tree of objects by inbound references.
`static class`
`ObjectListResult.Outbound`
Helper class which describes a tree of objects by outbound references.
Methods in org.eclipse.mat.snapshot.query that return IResult
Modifier and Type
Method
Description
`IResult`
SnapshotQuery.`execute(IProgressListener listener)`
Execute the query and return the result.
`IResult`
TQuantize.`process(IProgressListener listener)`
Create distribution based on the given table.
Methods in org.eclipse.mat.snapshot.query with parameters of type IResult
Modifier and Type
Method
Description
`Column`
RetainedSizeDerivedData.`columnFor(ContextDerivedData.DerivedColumn derivedColumn, IResult result, ContextProvider provider)`
Get a column for the retained size with the right calculator.

## Uses of IResult in org.eclipse.mat.ui.actions

Methods in org.eclipse.mat.ui.actions that return IResult
Modifier and Type
Method
Description
`static IResult`
ImportReportAction.`unzipAndOpen(File reportZipFile)`

## Uses of IResult in org.eclipse.mat.ui.editor

Methods in org.eclipse.mat.ui.editor with parameters of type IResult
Modifier and Type
Method
Description
`AbstractEditorPane`
EditorPaneRegistry.`createNewPane(IResult subject, Class<?> ignore)`
Find the appropriate editor pane for the result, ignoring ones associated with the ignore class.

## Uses of IResult in org.eclipse.mat.ui.snapshot.actions

Methods in org.eclipse.mat.ui.snapshot.actions that return IResult
Modifier and Type
Method
Description
`IResult`
CopyActions.`execute(IProgressListener listener)`
`IResult`
CopyOQL.`execute(IProgressListener listener)`
`IResult`
SaveValueAsQuery.`execute(IProgressListener listener)`